﻿@model IEnumerable<eCommerce.Services.Model.OcaShipment>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="">Cliente</th>
            <th class="text-center">#Venta</th>
            <th class="text-center">#Entrega</th>
            <th class="text-center">Tipo</th>
            <th>Fecha Creado</th>
            <th>Orden Retiro</th>
            <th>Numero Envío</th>
            <th class="text-center">Estado</th>
            <th class="">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@item.DeliveryOrder.Order.Customer.FullName</td>
            <td class="text-center">@item.DeliveryOrder.OrderId.ToString()</td>
            <td class="text-center">@item.DeliveryOrderId.ToString()</td>
            <td class="text-center">@((OriginShipmentTypeEnum)item.OriginTypeId) <i class="fa fa-long-arrow-right" aria-hidden="true"></i> @((DestinationShipmentTypeEnum)item.DestionationTypeId)</td>
            <td>@item.Date.ToString()</td>
            <td>@item.OrdenRetiro</td>
            <td>@item.NumeroEnvio</td>
            <td class="text-center text-uppercase">
                @if (item.Active)
                {
                    <span class="label label-primary">Activo</span>
                }
                else
                {
                    <span class="label label-danger">Anulado</span>
                }
            </td>
            <td class="actions">
                <a onclick="OpenOcaLink(@item.OrdenRetiro)" target="_blank" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Ver Seguimiento"><i class="icon fa fa-list-ul" aria-hidden="true"></i></a>
                @*<a href="http://www5.oca.com.ar/ocaepak/historial/Historial_Piezas.asp?IdOrdenRetiro=@item.OrdenRetiro" target="_blank" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Ver Seguimiento"><i class="icon fa fa-list-ul" aria-hidden="true"></i></a>*@

                @if (item.Active)
                {
                    <a href="/Oca/PrintLabel/@item.OcaShipmentId" target="_blank" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Imprimir Etiqueta"><i class="icon wb-order" aria-hidden="true"></i></a>
                    <a href="javascript:void(0)" onclick="fCancelShipment(@item.OcaShipmentId)" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Anular"><i class="icon fa fa-remove" aria-hidden="true"></i></a>
                }
                else
                {
                    <a href="javascript:void(0)" onclick="fDeleteShipment(@item.OcaShipmentId)" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                       data-toggle="tooltip" data-original-title="Eliminar"><i class="icon fa fa-trash" aria-hidden="true"></i></a>
                }
            </td>
        </tr>
    }
    </tbody>
</table>
